.pipeline-page {
  height: calc(100vh - 300px);
  width: 100%;

  .p-box {
    margin: 0 5px;
    flex: 0 0 360px;
    background: #E8E9F1;

    &:first-child {
      margin-left: 0;
    }

    &:last-child {
      margin-right: 0;
    }

    .p-box_header {
      padding: 14px 20px;
      padding-right: 10px;
      font-weight: 500;
      flex-grow: 0;
      flex-shrink: 0;
      border-radius: 4px 4px 0px 0px;
      border-top: 6px solid #fff;
      background: #fff;

      .m-dropdown {
        .m-dropdown__toggle {
          width: 28px;
          height: 28px;
          border-radius: 50%;
          color: #444F78;

          &:hover {
            background: #F2F3F8;
          }
        }

        .m-dropdown__wrapper {
          .m-dropdown__body {
            padding: 0;

            .m-dropdown__body_header {
              padding: 8px 20px;
              line-height: 21px;
              border-bottom: 1px solid #F2F3F8;
            }

            .m-dropdown__body_body {
              padding: 10px 0;
              cursor: pointer;

              .m-dropdown__body_body_item {
                padding: 5px 20px;

                i {
                  display: none;
                  font-size: 12px;
                }

                &:hover {
                  background: #FCF4F5;
                }

                &.active {
                  color: #C9243F;

                  i {
                    display: block;
                  }
                }
              }
            }
          }
        }
      }

      .p-box_header_title {
        font-size: 18px;
        line-height: 27px;
        color: #444F78;
      }

      .p-box_header_desc {
        font-size: 14px;
        line-height: 21px;
        color: #838CAB;
      }
    }

    .p-box_body {
      overflow-y: auto;
      border-radius: 4px 4px 0px 0px;
      padding: 0 5px;
      margin: 10px 5px;
      font-weight: 500;
      font-size: 14px;
      line-height: 21px;
      position: relative;
      height: calc(100% - 20px);

      &::-webkit-scrollbar-track {
        background: #D0D2E0;
        border-radius: 15px;
      }

      .sortable-ghost {
        position: relative;

        &:after {
          content: '';
          position: absolute;
          border-radius: 4px;
          top: 0;
          right: 0;
          bottom: 0;
          left: 0;
          z-index: 1;
          background: #E8E9F1;
          border: 2px dashed #868DA8;
        }
      }

      .p-box_body_item {
        margin: 10px 0;
        background: #FFFFFF;
        border-radius: 4px;
        cursor: move;
        border: 1px solid #D9DDE8;
        box-shadow: 0px 0px 10px rgba(68, 79, 120, 0);

        &:first-child {
          margin-top: 0;
        }

        &:last-child {
          margin-bottom: 0;
        }

        &:hover {
          border-color: transparent;
          box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.25);
        }

        .upper {
          padding: 6px 10px;

          .name {
            line-height: 24px;
            color: #2577C9;

            .icon {
              margin-left: 10px;
              color: #2577C9;
            }
          }

          .status {
            width: 22px;
            height: 22px;
            background: #F2F3F8;
            border-radius: 50%;
            color: #A1A7BB;

            i {
              font-size: 12px;
              line-height: 14px;
              margin: 0
            }

            &.status_partial-paid {
              color: #fff;
              background: #444F78;
            }

            &.status_paid {
              color: #fff;
              background: #69BE31;
            }
          }

          .upper_header {
            margin-top: 2px;
            font-size: 12px;
          }

          .uppper_desc {
            margin-top: 4px;

            .customer {
              font-weight: normal;
            }

            .charger {
              border: 1px solid #CCD2E2;
              border-radius: 1000px;
              background: #F4F5F9;
              padding: 3.5px 14.5px;
              font-size: 13px;
              line-height: 16px;
            }
          }

          .upper_item {
            width: 50%;
          }
        }

        .lower {
          border-top: 1px solid #F2F3F8;
          padding: 6px 10px;

          .lower_item {
            width: 50%;

            i {
              margin-right: 10px;
            }
          }
        }
      }
    }
  }

  .p-footer {
    padding: 10px 0;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    position: fixed;
    z-index: 1;
    bottom: 33px;
    left: 0;
    width: 100vw;
    background: #fff;
    box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);
    visibility: hidden;

    .p-footer_item {
      margin-right: 10px;
      padding: 0 15%;
      border-radius: 4px;
      height: 80px;
      line-height: 80px;

      .sortable-chosen {
        position: absolute;
        top: -1px;
        right: -1px;
        bottom: -1px;
        left: -1px;
        // z-index: 11;
        text-indent: -1000rem;

        .lower {
          display: none !important;
        }
      }

      &:last-child {
        margin-right: 0;
      }

      &.open {
        color: #FF8A00;
        border: 1px dashed #FF8A00;

        .sortable-chosen {
          background: #FFF3E6;
          border: 2px solid #FF8A00;
        }
      }

      &.completed {
        color: #69BE31;
        border: 1px dashed #69BE31;

        .sortable-chosen {
          background: #F0F8EA;
          border: 2px solid #69BE31;
        }
      }

      &.cancel {
        color: #BB1130;
        border: 1px dashed #BB1130;

        .sortable-chosen {
          background: #F8E7EA;
          border: 2px solid #BB1130;
        }
      }
    }
  }
}

/deep/ {
  .fa-arrow-right {
    font-size: 8px;
    margin: 0 4px
  }
}

@media (min-width: 768px) {
  .pipeline-page {
    height: calc(100vh - 250px)
  }
}